sc::OneBodySOInt Class Reference
Inheritance diagram for sc::OneBodySOInt:
[legend]
Collaboration diagram for sc::OneBodySOInt:
[legend]

## Public Member Functions

| OneBodySOInt (const Ref< OneBodyInt > &)
Ref< SOBasis > | basis () const
Ref< SOBasis > | basis1 () const
Ref< SOBasis > | basis2 () const
const double * | buffer () const
virtual void | compute_shell (int, int)
virtual void | reinitialize ()
int | only_totally_symmetric () const
void | set_only_totally_symmetric (int i)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

Ref< OneBodyInt > | ob_
Ref< SOBasis > | b1_
Ref< SOBasis > | b2_
double * | buffer_
int | only_totally_symmetric_

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- sointegral.h